------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(495, 538)
CppScriptMgr:NpcCallOut("A long time ago, a young man from the Seawitch Tribe fell in love with the esteemed high priest.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Sprite", 250, 655, false)
local Player_1 = CppScriptMgr:AddSimplePlayer(1060382, 499, 538, "YoungMan", 0, 0)
Player_1:SetAction(1111)
Player_1:SetDir(2)
Player_1:SetHair(102, 1)
Player_1:SetArmor(199245, 0, 1)
local Player_2 = CppScriptMgr:AddSimplePlayer(1050356, 494, 539, "Priest", 0, 0)
Player_2:SetDir(6)
Player_2:SetHair(164, 1)
Player_2:SetArmor(196285, 0, 1)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("At that time, that young man had already been chosen to become the next priest, so he could only keep his feelings hidden.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Sprite", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
local Effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 499, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 499, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("High Priest! Look! I did it!", 1500)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(1490)
Player_2:Say("You did very well!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Cough cough!", 1500)
CppScriptMgr:WaitMilSec(60)
Player_2:SetAction(250)
Player_2:SetFrameInterval(1000000)
CppScriptMgr:WaitMilSec(1470)
Player_1:Say("Are you okay? What happened?", 1500)
Player_1:JumpTo(496, 539)
CppScriptMgr:WaitMilSec(600)
Player_1:SetDir(1)
CppScriptMgr:WaitMilSec(900)
Player_2:Say("It`s time to tell you everything!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Child, do you know why the Seawitch Tribe has only one high priest?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Our tribe can only have one priest. When you learn all the Seawitch spells, that will be the day I step down.", 1500)
CppScriptMgr:WaitMilSec(1480)
Player_1:AddEffect("SLTZ_Last", 33)
Player_1:Say("No! If becoming the priest means I will lose you forever, I`d rather not be a priest!", 2000)
Player_1:SetAction(160)
CppScriptMgr:WaitMilSec(1870)
local effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 493, 537, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(130)
Player_1:Say("I`m gonna change this world, even if it means being against everyone!", 2000)
Player_1:SetAction(160)
CppScriptMgr:WaitMilSec(960)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1060)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(110)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 496, 539, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(670)
local monster_0 = CppScriptMgr:AddPlayer(191, 496, 539, "EvilDragon", 0, 0)
monster_0:SetZoomPercent(5)
monster_0:SetDir(7)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(150)
CppScriptMgr:NpcCallOut("The young man was ultimately consumed by darkness, sacrificing his soul to the devil...", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Sprite", 250, 655, false)
ChangeNpcZoom(monster_0, 5, 150, 10, 33)
CppScriptMgr:WaitMilSec(1810)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(140)
CppScriptMgr:NpcCallOut("Before dying, he cast a curse: the day the Seawitch Tribe is turned to stone by the Evil Dragon will be the day he returns to resurrect his beloved.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "Sprite", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)